Ulsav Docs

Account

GET
/api/v1/account

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
avatarPath?string
avatarUrl?string
complete*boolean
createdAt*string
Formatdate-time
dateOfBirth?string
displayName*string
gender?string
id*string
identities*array<>|null
missingIdentities?array<string>|null
updatedAt*string
Formatdate-time
Example Request
curl -X GET 'https://example.com/api/v1/account'
Example Response
{  "$schema": "https://example.com/schemas/AccountResponse.json",  "avatarPath": "string",  "avatarUrl": "string",  "complete": true,  "createdAt": "2019-08-24T14:15:22Z",  "dateOfBirth": "string",  "displayName": "string",  "gender": "string",  "id": "string",  "identities": [    {      "id": "string",      "issuer": "string",      "kind": "string",      "value": "string",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "missingIdentities": [    "string"  ],  "updatedAt": "2019-08-24T14:15:22Z"}
PATCH
/api/v1/account

Request Body

application/json
  1. body
avatarPath?string
dateOfBirth?string
displayName?string
gender?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
avatarPath?string
avatarUrl?string
complete*boolean
createdAt*string
Formatdate-time
dateOfBirth?string
displayName*string
gender?string
id*string
identities*array<>|null
missingIdentities?array<string>|null
updatedAt*string
Formatdate-time
Example Request
curl -X PATCH 'https://example.com/api/v1/account' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/AccountResponse.json",  "avatarPath": "string",  "avatarUrl": "string",  "complete": true,  "createdAt": "2019-08-24T14:15:22Z",  "dateOfBirth": "string",  "displayName": "string",  "gender": "string",  "id": "string",  "identities": [    {      "id": "string",      "issuer": "string",      "kind": "string",      "value": "string",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "missingIdentities": [    "string"  ],  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/api/v1/account/identities/{identityId}

Path Parameters

identityId*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
avatarPath?string
avatarUrl?string
complete*boolean
createdAt*string
Formatdate-time
dateOfBirth?string
displayName*string
gender?string
id*string
identities*array<>|null
missingIdentities?array<string>|null
updatedAt*string
Formatdate-time
Example Request
curl -X DELETE 'https://example.com/api/v1/account/identities/string'
Example Response
{  "$schema": "https://example.com/schemas/AccountResponse.json",  "avatarPath": "string",  "avatarUrl": "string",  "complete": true,  "createdAt": "2019-08-24T14:15:22Z",  "dateOfBirth": "string",  "displayName": "string",  "gender": "string",  "id": "string",  "identities": [    {      "id": "string",      "issuer": "string",      "kind": "string",      "value": "string",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "missingIdentities": [    "string"  ],  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/api/v1/account/identity-challenges

Request Body

application/json
  1. body
channel*string
kind*string
value*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
destination*string
expiresAt*string
Formatdate-time
id*string
kind*string
resendAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/account/identity-challenges' \  -H 'Content-Type: application/json' \  -d '{  "channel": "string",  "kind": "string",  "value": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/ChallengeResponse.json",  "destination": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "id": "string",  "kind": "string",  "resendAt": "2019-08-24T14:15:22Z"}
POST
/api/v1/account/oauth/{provider}/start

Path Parameters

provider*string

Query Parameters

returnTo?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
authorizationUrl*string
state*string
Example Request
curl -X POST 'https://example.com/api/v1/account/oauth/string/start'
Example Response
{  "$schema": "https://example.com/schemas/OAuthStart.json",  "authorizationUrl": "string",  "state": "string"}
GET
/api/v1/account/sessions

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/account/sessions'
Example Response
{  "$schema": "https://example.com/schemas/PageSession.json",  "data": [    {      "expiresAt": "2019-08-24T14:15:22Z",      "host": "string",      "id": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
DELETE
/api/v1/account/sessions/{sessionId}

Path Parameters

sessionId*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
ok*boolean
Example Request
curl -X DELETE 'https://example.com/api/v1/account/sessions/string'
Example Response
{  "$schema": "https://example.com/schemas/OkOutputBody.json",  "ok": true}